html {
    position: relative;
    min-height: 100%;
    --taille-police-tab: 10px;
    --taille-mini-ligne: 30px;
}
body {
    height:100%;
    padding-top: 70px;
    margin-bottom: 80px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 40px; /* Set the fixed height of the footer here */
    line-height: 40px; /* Vertically center the text there */
    background-color: #f5f5f5;
}


/*********************************multi level menu*/
.dropdown-submenu {
    position: relative;
}

.dropdown-submenu a::after {
    transform: rotate(-90deg);
    position: absolute;
    right: 6px;
    top: .8em;
}

.dropdown-submenu .dropdown-menu {
    top: 0;
    left: 100%;
    margin-left: .1rem;
    margin-right: .1rem;
}


/****************modal*************************/
.modal-perso {
    display: none;
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    position: fixed;
    top: 0;
    left: 0;
    z-index: 20000;
}

.modal-perso-container {
    width: 70%;
    height: 80%;
    margin: 5% auto; /* 15% from the top and centered */
}
.modal-perso-body{
    overflow-y: auto;
}
.close {
    color: #28282b;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

/******************Confirmation perso*****************/
.confirmation-perso {
    display: none;
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    position: fixed;
    top: 0;
    left: 0;
    z-index: 20000;
}

.confirmation-perso-container {
    width: 500px;
    min-height: 100px;
    margin: 100px auto; /* 15% from the top and centered */
}




/***********************Liste déroulante****************/
.ld{
    position: relative;
    height: calc(2.25rem + 2px);
    display: flex;
    font-size: 15px;
}

.ld_container {
    height: 100%;
    width: 100%;
}

.ld_header {
    height:100%;
    width: 100%;
    display: flex;

}
.ld_input{
    background-color: white;
    width: calc(100% - 2.25rem);
    height: 100%;
    display: flex;
    align-items: center;
    padding-left: 10px;
    color: #495057;
    font-weight: 600;
    font-size: 15px;

}
.placeholder {
    color: #868e96;
}
.ld_body{
    display: none;
    position: absolute;
    width: 100%;
    border: solid 1px white;
    z-index: 5;
    background-color: #4e5d6c;
    font-size: 13px;
}
.ld_ul {
    max-height: 250px;
    overflow-y: auto;
}
.ld_li, .ld_li_option {
    padding: 5px;
    margin: 0;
}
.ld_li {
    padding-left: 14px;
}
.ld_check {
    padding-right: 4px;
}
.ld_option{
    font-size: 15px;
    font-weight: bold;
}
.test {
    border: 2px solid orange;
    background-color: blue;
}
.ld_delete_item {
    display: none;
    float: right;
}
.ld_delete_item:hover, .ld_check:hover{
    cursor: pointer;
}
.ld_reset{
    display: none;
    position: absolute;
    top: calc(2.25rem / 2 - 0.75rem);
    left: calc(100% - 2.25rem - 1.5rem);
    font-size: 1.5rem;
}
.ld_reset:hover{
    cursor: pointer;
}



/*********************Autocompletion***************/
.autocompletion_container {
    position: absolute;
    z-index:500000;
    width: 100%;
    max-height: 250px;
    margin-top: 5px;
    overflow-y: auto;
    background-color: var(--gray);
    color: var(--gray-dark);
}

.vertical-divider {
    position: absolute;
    display: table;
    text-align: center;
    height: 100%;
    width: 100%;
}
.vertical-divider .center-element {
    position: relative;
    display: table-cell;
    vertical-align: middle;
}
.vertical-divider .center-element:before,
.vertical-divider .center-element:after {
    position: absolute;
    content: "";
    width: 1px;
    left: 50%;
    border-left: 1px solid black;
}
.vertical-divider .center-element:before {
    bottom: 50%;
    top: 0;
    margin-bottom: 20px;
}
.vertical-divider .center-element:after {
    top: 50%;
    bottom: 0;
    margin-top: 20px;
}
